#coding:utf-8
import requests
import unittest

class TestQQ(unittest.TestCase):
    ''' 测试QQ接口 '''
    # key - 正确
    def test_qq_right_key(self):
        url = "http://japi.juhe.cn/qqevaluate/qq"
        par = {
            "key": "980bf619855953f6ebef9abe90d52712",
            "qq": "384056521"
        }
        r = requests.get(url, params=par)
        res = r.json()
        self.assertTrue(res["reason"] == "success")
        self.assertTrue(res["error_code"] == 0)
        self.assertTrue(res["result"] != [])

    # key - 错误
    def test_qq_error_key(self):
        url = "http://japi.juhe.cn/qqevaluate/qq"
        par = {
            "key": "123456789", # 错误的key
            "qq": "1812436356"
        }
        r = requests.get(url, params=par)
        res = r.json()
        self.assertTrue(res["reason"] == "KEY ERROR!")
        self.assertTrue(res["error_code"] == 10001)
        self.assertTrue(res["result"] == [])


if __name__ == "__main__":
    unittest.main()