# coding:utf-8
import unittest
import ddt
import time

import os
from common import html_report


# # 路径兼容 - windows/mac
# cur_path = os.path.dirname(os.path.realpath(__file__))  # 获取路径 - 当前脚本
# cur_path = os.path.join(cur_path, "case")           # 拼接路径


from common.chandao_login import *
from common.read_excel import ExcelUtil

data_path = r"D:\ProgramTools\PyCharm 5.0.4\PycharmProject\python_excel\data\test_data.xlsx"
data = ExcelUtil(data_path, "Sheet1")
data = data.dict_data()
print(data)


@ddt.ddt
class Test(unittest.TestCase):
	def setUp(self):
		self.session = requests.session()

	def tearDown(self):
		self.session.cookies.clear()  # 清除缓存 - cookies
		self.session.close()  # 去除警告 - 关闭进程

	@ddt.data(*data)  # *data : 分组传送 - 字典类型
	def test_001(self, test_data):
		user = test_data["user"]
		psw = test_data["psw"]
		login_result = Login(self.session, user, psw)
		check_result = DecideResult(login_result)

		str_result = "check_result %s, %s" %(check_result, type(check_result))
		expect = bool(test_data["expect"])
		str_expect = "expect %s, %s" %(bool(expect), type(expect))

		if check_result == expect:
			print("OK")
			print(str_result)
			print(str_expect)
		else:
			print("NO")
			print(psw)
			print(str_result)
			print(str_expect)

		# time.sleep(1)

if __name__ == '__main__':
	# unittest.main()
	cur_path = os.path.dirname(os.path.realpath(__file__))  # 获取路径 - 当前脚本
	print(cur_path)
	cur_path = os.path.join(cur_path, "case")           # 拼接路径

	print(cur_path)